Bug 106880 - Valid Unix directory names create invalid samba share names
Valid Unix directory names create invalid samba share names
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-12 20:58 EDT by Mike MacCana
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-15 14:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2003-10-12 20:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030702

Description of problem:
Since the Samba config tool names the share after the last component of the
directory, valid Unix directory names such as "/var/samba share" will create
invalid * Samba share names such as [samba share].

* Actually, I'm not entirely sure these names are invalid. AFAIK spaces are out
for share names, but Samba 3's testparm utility doesn't complain about them. I
have a feeling that that's a bug in testparm, but its worth making sure...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Share out a directory with a space in its name

Actual Results:  An invalid share name is created

Expected Results:  I like the way the tool automatically gets the share name
from the directory, I think it should just strip invalid share characters like
spaces (and maybe compress long names) - so [sambashare] would be created
instead of [samba share]. 

I also think giving people the option to change the share name manually would be
useful too. 

Additional info:
Comment 1 Brent Fox 2003-10-15 14:13:21 EDT
Ah, I see.  I now replace whitespce with underscores in the section headers in
the config file.  Should be fixed in redhat-config-samba-1.1.3-1.  Thanks for
your report.

Note You need to log in before you can comment on or make changes to this bug.